Subject: ReMIME-Version: 1.0

From: [email-masked]
Date: Wed, 18 Dec 2002 11:34:26 -0500 (EST)

On Wed, 18 Dec 2002 [email-masked] wrote:
> I will grant you that this paragaph doesn't really adequately address
> IPv6, given that scoping *does* exist for IPv6.  I'll fix that.

Ok.
 
> In the context of IPv4, I think I was trying to make the following
> point with this rather cryptic sentence:
> 
> At least one of the reasons to use scoping in ASM doesn't apply to
> SSM.  In ASM, one of the benefits of scoped addresses is that they
> allow hosts in two different domains to be able to allocate multicast
> addresses for local use in their respective domains without talking to
> one another (or to Dave Meyer) and without risking that they may
> choose conflicting addresses.  But this use of scoping doesn't apply
> to SSM because you already get uniqueness of channels by piggybacking
> on the uniqueness of source addresses.
> 
> I could put a paragraph stating this into the draft, but this argument
> isn't really even conclusive, and I'm afraid it would raise as many
> questions as it answers:  What other motivations for admin scoping
> might apply other than this one?  Do we really need
> admin scoping for IPv4?  What applications might use scoping and
> what range the addresses would the scoped addresses ranges come from
> and so on...  I don't want to go there in this document.
> 
> So in the interests of keeping the draft short, and given that the
> sentence is confusing and doesn't really add information, how about if
> I just strike it.

Agree.
 
> Here's a proposed change that is pretty close to what you wrote below.
> 
>   For IPv6, administratively scoped SSM addresses are created by
>   choosing an appropriate scope identifier for the SSM destination
>   address.  Normal IPv6 scope boundaries are applied to
>   traffic sent to an SSM destination address.
>   
>   No globally agreed-upon administratively-scoped address range
>   [ADMIN-SCOPE] is currently defined for IPv4 source-specific multicast.
>   For IPv4, administrative scoping of SSM addresses 
>   can be implemented within an administrative domain by filtering
>   outgoing SSM traffic sent to a scoped address
>   at the domain's boundary routers.

Sounds good to me. (Note: I'd perhaps s/Normal IPv6 scope/Normal IPv6 
multicast scope/ to strike the point).
   
-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords